package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "FRAME_ROLE", keyColumn = "ROLE_ID", sequenceName = FrameSeqName.FrameRoleId)
public class FrameRole implements Serializable {
	private static final long serialVersionUID = 7027855833599659290L;
	//角色内部编号
	private Integer role_id;
	//角色名称
	private String role_name;
	//角色状态
	private String role_status;
	//角色类型
	private String role_type;
	//备注信息
	private String role_desc;
	private String home_page;
	//当前角色允许的后台线程数
	private Integer thread_max;
	//创建人
	private Integer create_optr;
	//创建时间
	private LocalDateTime create_time;

	/****
	 * 角色内部编号
	 */
	public Integer getRole_id() {
		return this.role_id;
	}

	/****
	 * 角色内部编号
	 */
	public void setRole_id(Integer role_id) {
		this.role_id = role_id;
	}

	/****
	 * 角色名称
	 */
	public String getRole_name() {
		return this.role_name;
	}

	/****
	 * 角色名称
	 */
	public void setRole_name(String role_name) {
		this.role_name = role_name;
	}

	/****
	 * 角色状态
	 */
	public String getRole_status() {
		return this.role_status;
	}

	/****
	 * 角色状态
	 */
	public void setRole_status(String role_status) {
		this.role_status = role_status;
	}

	/****
	 * 角色类型
	 */
	public String getRole_type() {
		return this.role_type;
	}

	/****
	 * 角色类型
	 */
	public void setRole_type(String role_type) {
		this.role_type = role_type;
	}

	/****
	 * 备注信息
	 */
	public String getRole_desc() {
		return this.role_desc;
	}

	/****
	 * 备注信息
	 */
	public void setRole_desc(String role_desc) {
		this.role_desc = role_desc;
	}

	public String getHome_page() {
		return this.home_page;
	}

	public void setHome_page(String home_page) {
		this.home_page = home_page;
	}

	/****
	 * 当前角色允许的后台线程数
	 */
	public Integer getThread_max() {
		return this.thread_max;
	}

	/****
	 * 当前角色允许的后台线程数
	 */
	public void setThread_max(Integer thread_max) {
		this.thread_max = thread_max;
	}

	/****
	 * 创建人
	 */
	public Integer getCreate_optr() {
		return this.create_optr;
	}

	/****
	 * 创建人
	 */
	public void setCreate_optr(Integer create_optr) {
		this.create_optr = create_optr;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}


	
}